
Redmine - Defect #18537

Special language characters not treated right in search

2014-12-02 10:18 - elite solutions

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.4.4

Description

Searching a word with german umlaute, results in too many search results. I cannot figured out, what problem it is exactly.

Related issues:

Related to Redmine - Defect #18862: troubles in search (Redmine 2.5.2.stable,... New

Associated revisions

Revision 13754 - 2014-12-13 19:36 - Jean-Philippe Lang

Don't use #downcase on search tokens, let the database handle it (#18537).

Revision 13757 - 2014-12-14 00:11 - Jean-Philippe Lang

Mysql LIKE treats Ö and O the same (#18537).

Revision 13759 - 2014-12-14 14:55 - Jean-Philippe Lang

Use custom SQL for MySQL to behave like others DBMS: case-insensitive search without ignoring accentuation (#18537).

Revision 13760 - 2014-12-14 17:30 - Jean-Philippe Lang

SQLite does not support case insensitive match for non-ASCII characters (#18537).

Revision 13761 - 2014-12-14 17:31 - Jean-Philippe Lang

Missing test helper (#18537).

Revision 13767 - 2014-12-15 20:22 - Jean-Philippe Lang

Restore accent insensitive search with mysql (#18537).

History

#1 - 2014-12-02 11:43 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

1.4.4 is too old.

You should use recent version.

#2 - 2014-12-13 19:38 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

This should be fixed in 3.0 (r13754).

#3 - 2014-12-15 12:37 - Fernando Hartmann

This means for example that, from now, this two searches strings "café" and "cafe" didn't result on the same response ?

If true it's very bad for us, it will broke our day by day use, my users are used to made the searches ignoring the accentuation, this solves the problem

of bad spelling by the issue reporter.
I believe that stuff should be a option in the search like #992

#4 - 2014-12-15 20:23 - Jean-Philippe Lang

- Target version deleted (3.0.0)

- Resolution changed from Fixed to Wont fix

I agree, case insensitive search makes more sense generally.

#5 - 2015-01-16 11:03 - Toshi MARUYAMA

- Related to Defect #18862: troubles in search (Redmine 2.5.2.stable, russian text) added
